OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKVRML
VrmlConverter

# VrmlConverter_WFRestrictedFace Class Reference

WFRestrictedFace - computes the wireframe
presentation of faces with restrictions by
displaying a given number of U and/or V
isoparametric curves, converts this one into VRML
objects and writes (adds) into anOStream.
All requested properties of the representation
are specify in aDrawer.
This kind of the presentation is converted into
IndexedLineSet ( VRML ).
.

`#include <VrmlConverter_WFRestrictedFace.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
## Static Public Member Functions
static Standard_EXPORT void | Add (Standard_OStream &anOStream, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(VrmlConverter_Drawer)&aDrawer)
static Standard_EXPORT void | AddUIso (Standard_OStream &anOStream, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(VrmlConverter_Drawer)&aDrawer)
static Standard_EXPORT void | AddVIso (Standard_OStream &anOStream, const Handle(BRepAdaptor_HSurface)&aFace, const Handle(VrmlConverter_Drawer)&aDrawer)
static Standard_EXPORT void | Add (Standard_OStream &anOStream, const Handle(BRepAdaptor_HSurface)&aFace, const Standard_Boolean DrawUIso, const Standard_Boolean DrawVIso, const Standard_Integer NBUiso, const Standard_Integer NBViso, const Handle(VrmlConverter_Drawer)&aDrawer)

## Member Function Documentation

static Standard_EXPORT void VrmlConverter_WFRestrictedFace::Add | ( | Standard_OStream & | anOStream,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Standard_Boolean | DrawUIso,
|  | const Standard_Boolean | DrawVIso,
|  | const Standard_Integer | NBUiso,
|  | const Standard_Integer | NBViso,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_WFRestrictedFace::Add | ( | Standard_OStream & | anOStream,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_WFRestrictedFace::AddUIso | ( | Standard_OStream & | anOStream,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

static Standard_EXPORT void VrmlConverter_WFRestrictedFace::AddVIso | ( | Standard_OStream & | anOStream,
|  | const Handle(BRepAdaptor_HSurface)& | aFace,
|  | const Handle(VrmlConverter_Drawer)& | aDrawer
| ) | `[static]`

void VrmlConverter_WFRestrictedFace::operator delete | ( | void * | anAddress | ) | `[inline]`

void* VrmlConverter_WFRestrictedFace::operator new | ( | size_t | size | ) | `[inline]`

void* VrmlConverter_WFRestrictedFace::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- VrmlConverter_WFRestrictedFace.hxx